<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <div id="results"></div>
</body>
<script>
    window.onload = () => {

        const eventSource = new EventSource("/events?event_name=test")
        eventSource.onmessage = (event) => {
            const data = JSON.parse(event.data)

            let elm = document.createElement("p")

            elm.textContent = `${data.subject} ${data.message}`

            document.getElementById("results").appendChild(elm)
        }
    }
</script>

</html>